org.apache.ignite.internal.pagemem.wal.record.delta

## Class PartitionDestroyRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PartitionDestroyRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class PartitionDestroyRecord
    extends WALRecord
    implements WalRecordCacheGroupAware

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`PartitionDestroyRecord(int grpId, int partId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `groupId()`
`void` `groupId(int grpId)`
`int` `partitionId()`
`void` `partitionId(int partId)`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PartitionDestroyRecord

    public PartitionDestroyRecord(int grpId,
                                  int partId)

Parameters:
  `grpId` - Cache group ID.
  `partId` - Partition ID.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### groupId

    public int groupId()

Specified by:
  `groupId` in interface `WalRecordCacheGroupAware`
Returns:
  Cache group ID.

#### groupId

    public void groupId(int grpId)

Parameters:
  `grpId` - Cache group ID.

#### partitionId

    public int partitionId()

Returns:
  Partition ID.

#### partitionId

    public void partitionId(int partId)

Parameters:
  `partId` - Partition ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023